petsc-3.4.2 2013-07-02

# PetscObjectListReverseFind

given a object, find the matching name if it exists

### Synopsis

    PetscErrorCode  PetscObjectListReverseFind(PetscObjectList fl,PetscObject obj,char **name,PetscBool *skipdereference)

### Input Parameters

| fl | - pointer to list
| ob | - the PETSc object

### Output Parameters

| name | - name string
| skipdereference | - if the object is list but does not have the increased reference count for a circular dependency

### Notes

The name must have been registered with the PetscObjectListAdd() before calling this routine.

The reference count of the object is not increased

### See Also

PetscObjectListDestroy(), PetscObjectListAdd(), PetscObjectListDuplicate(), PetscObjectListFind(), PetscObjectListDuplicate()

Level:developer
Location:src/sys/objects/olist.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages